Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.chart
Enum OdfSymbolType

    java.lang.Object
      java.lang.Enum<OdfSymbolType>
          org.odftoolkit.odfdom.dom.type.chart.OdfSymbolType

All Implemented Interfaces:
  Serializable, Comparable<OdfSymbolType>

    public enum OdfSymbolType

extends Enum<OdfSymbolType>

DOM implementation of OpenDocument attribute chart:symbol-type.

Enum Constant Summary
`AUTOMATIC`
`IMAGE`
`NAMED_SYMBOL`
`NONE`

Method Summary
`static OdfSymbolType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfSymbolType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfSymbolType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfSymbolType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NAMED_SYMBOL

    public static final OdfSymbolType NAMED_SYMBOL

### IMAGE

    public static final OdfSymbolType IMAGE

### NONE

    public static final OdfSymbolType NONE

### AUTOMATIC

    public static final OdfSymbolType AUTOMATIC

Method Detail

### values

    public static OdfSymbolType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfSymbolType c : OdfSymbolType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfSymbolType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfSymbolType>`
  Returns:
    return the name of OdfSymbolType

### toString

    public static String toString(OdfSymbolType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfSymbolType, see chart:symbol-type
  Returns:
    return the name of OdfSymbolType

### enumValueOf

    public static OdfSymbolType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfSymbolType
  Returns:
    return the constant of OdfSymbolType, see chart:symbol-type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.